Get one event
curl --request GET \
--url https://{organization}.rescueconsole.com/api/events/events/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/events/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/events/events/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"event": {
"name": "<string>",
"starts_at": "<string>",
"all_day": true,
"status": "draft",
"is_public": true,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"description": "<string>",
"kind": "adoption",
"ends_at": "<string>",
"location_unit_id": "<string>",
"venue_organization_id": "<string>",
"venue_name": "<string>",
"venue_address": "<string>",
"registration_url": "<string>",
"form_slug": "<string>",
"shift_schedule_id": "<string>",
"series_id": "<string>",
"recurrence": {
"freq": "daily",
"interval": 1,
"by_weekday": [
3
],
"monthly_by": "date",
"until": "2023-12-25",
"count": 51,
"never_ends": true,
"tz": "<string>"
},
"animals": [
{
"id": "<string>",
"name": "<string>",
"species": "dog",
"breed": "<string>",
"status": "<string>",
"sort_order": 123
}
],
"series": {
"count": 123,
"rule": {
"freq": "daily",
"interval": 1,
"by_weekday": [
3
],
"monthly_by": "date",
"until": "2023-12-25",
"count": 51,
"never_ends": true,
"tz": "<string>"
}
}
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Events
Get one event
The event, with the animals it lists in their order, and the series it is part of. The animals are every one on the event, published or not. Needs read on Events.
GET
/
api
/
events
/
events
/
{id}
Get one event
curl --request GET \
--url https://{organization}.rescueconsole.com/api/events/events/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/events/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/events/events/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"event": {
"name": "<string>",
"starts_at": "<string>",
"all_day": true,
"status": "draft",
"is_public": true,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"description": "<string>",
"kind": "adoption",
"ends_at": "<string>",
"location_unit_id": "<string>",
"venue_organization_id": "<string>",
"venue_name": "<string>",
"venue_address": "<string>",
"registration_url": "<string>",
"form_slug": "<string>",
"shift_schedule_id": "<string>",
"series_id": "<string>",
"recurrence": {
"freq": "daily",
"interval": 1,
"by_weekday": [
3
],
"monthly_by": "date",
"until": "2023-12-25",
"count": 51,
"never_ends": true,
"tz": "<string>"
},
"animals": [
{
"id": "<string>",
"name": "<string>",
"species": "dog",
"breed": "<string>",
"status": "<string>",
"sort_order": 123
}
],
"series": {
"count": 123,
"rule": {
"freq": "daily",
"interval": 1,
"by_weekday": [
3
],
"monthly_by": "date",
"until": "2023-12-25",
"count": 51,
"never_ends": true,
"tz": "<string>"
}
}
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}